Pools
Get a sandbox pool
Authorization
ApiKeyAuth AGENTBOX-API-KEY<token>
In: header
Path Parameters
name*string
SandboxPool name.
- Single-cluster: a DNS-1123 label such as
my-pool. - Cross-cluster: a
{clusterID}::{poolName}composite such ascluster1::my-pool(double-colon separator). Discover valid cluster IDs viaGET /clusters. Parsing reference:pkg/utils/cluster/parse.go::ParsePoolRef.
Note: the E2B-compatible API further extends this to
{clusterID}::{poolName}//{imageOverride} for template strings; that form is
only accepted on the E2B port, not on this native API.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://sandboxpools/my-pool"{ "template": { "name": "poolname", "namespace": "t-team-user", "cpu": "1", "memory": "16Gi", "team": "team", "user": "user", "spec": { "replicas": 2 }, "status": { "phase": "Ready", "idleReplicas": 1, "unavailableIdleReplicas": 0, "runningReplicas": 1, "startingReplicas": 0, "stoppingReplicas": 0, "failedReplicas": 0 } }}{ "error": "string", "errorCode": "API_KEY_REQUIRED", "detail": null}{ "error": "string", "errorCode": "API_KEY_REQUIRED", "detail": null}{ "error": "string", "errorCode": "API_KEY_REQUIRED", "detail": null}{ "error": "string", "errorCode": "API_KEY_REQUIRED", "detail": null}